
clear
graph drop _all
use data_ft
xtset ctyid date
set scheme s2color

 
 

 *** graph ***
  
twoway  (kdensity dyneer if date >= tq(2010q1) &  date <=  tq(2013q1) & eme == 1,  n(25) color(green)  lpattern(dash)) ///
	(kdensity dyneer if date > tq(2013q2) &  date <=  tq(2015q1) & eme == 1 ,  n(25) lpattern(solid) ), ///
	legend(order(1 "Before" 2 "After" ) region(lcolor(white)) )  ///
	graphregion( color(white) )     plotregion(lcolor(black)) ///
	ytitle("Kernel density"  ) xtitle("Exchange rate change" ) 
graph export "MS19-348Fig1.pdf" ,  as(pdf) replace   
 
  
  
*** time varying estimation ***
gen tafter = gt
gen tbefore = 1-gt
gen treated_av  = 1
gen control_av  = 1
gen treated_ap  = 1
gen control_ap  = 1
gen diff_tmt = tafter 
gen diff_ctl = tafter 
gen diff_av =  eme  
gen diff_ap =  eme  
gen diff_in_diff = tafter*eme
 

gen p2010q1_2015q1 =    date >=  tq(2009q4)   & date <= tq(2016q1)
gen p2010q1_2015q1l =  date >=  tq(2009q4)   & date <= tq(2015q2)

quietly foreach period in p2010q1_2015q1l{
 
preserve 


keep if `period' == 1

xtreg erpt_neer treated_av if tbefore == 1 &  eme  == 1, mle noconstant
est store tmt_av_`period' 

xtreg erpt_neer control_av if tbefore == 1 & ctydev == 1, mle noconstant
est store ctl_av_`period'

xtreg erpt_neer diff_av if tbefore == 1, re  
est store diff_av_`period'

xtreg erpt_neer diff_tmt if eme == 1, re  
est store diff_tmt_`period'

xtreg erpt_neer treated_ap if tafter == 1 & eme == 1, mle noconstant
est store tmt_ap_`period' 

xtreg erpt_neer control_ap if tafter == 1& ctydev == 1, mle noconstant
est store ctl_ap_`period'

xtreg erpt_neer diff_ap if tafter == 1, re  
est store diff_ap_`period'

xtreg erpt_neer diff_ctl if   ctydev == 1, re  
est store diff_ctl_`period'
  
xtreg erpt_neer `eme_gp' tafter diff_in_diff, re
est store did_`period'
 

outreg2 [ ctl_av_`period'  ctl_ap_`period'  diff_ctl_`period'     /// 
	tmt_av_`period'  tmt_ap_`period'  diff_tmt_`period'     ///
	did_`period' ] using  "TimeVarying.txt"  , nocons noobs append  alpha(0.01, 0.05, 0.1) keep(treated_av treated_ap diff_tmt control_av control_ap diff_ctl diff_in_diff) eqdrop(sigma_u sigma_e) auto(3) bdec(3)  bfmt(fc) tstat
 
 
restore

eststo clear	

}


